<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>settype</title>
 </head>
 <body>
 <?php
  define("WEB_EOL","<br/>");
  $i=1234;
  var_dump($i);
  echo WEB_EOL;
  settype($i,"string") ; // transtypage explicite
  var_dump($i);
  echo WEB_EOL;
 ?>
 </body>
</html>

